Subject: Re: [PATCH] powerpc: Reserve syscall number 319

From: Olof Johansson <[email-masked]>
Date: Tue, 2 Sep 2008 13:06:06 -0500

On Tue, Sep 02, 2008 at 03:48:45PM +1000, Benjamin Herrenschmidt wrote:
> Some stuff I'm working on that isn't released yet needs
> a syscall number but I can't say what it's for until I
> get permission to release it :-)
> 
> In the meantime, it would be nice if a number could be set
> aside so the tools being developped to use that stuff don't
> all need to be updated when things are eventually released.
> 
> Signed-off-by: Benjamin Herrenschmidt <[email-masked]>
> ---
> 
> I wonder if I'll get hanged for that one :-)

Yes. Merge your code or live with the pain of things changing
underneath. Period.

-Olof